Skip to main content
GET
https://{tenantDomain}/api/v2
/
flows
/
{flow_id}
/
executions
/
{execution_id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    flows "github.com/auth0/go-auth0/management/flows"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Flows.Executions.Get(
        context.TODO(),
        "flow_id",
        "execution_id",
        &flows.ExecutionsGetRequest{},
    )
}
{
  "id": "<string>",
  "trace_id": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "journey_id": "<string>",
  "debug": {},
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_id
string
required

Flow id

Maximum string length: 30
execution_id
string
required

Flow execution id

Maximum string length: 30

Query Parameters

hydrate
enum<string>[]

Hydration param

Available options:
debug
Maximum string length: 5

Response

Flow execution successfully retrieved.

id
string<flow-execution-id>
required

Flow execution identifier

Maximum string length: 30
trace_id
string
required

Trace id

Required string length: 1 - 50
status
string
required

Execution status

Required string length: 1 - 50
created_at
string<date-time>
required

The ISO 8601 formatted date when this flow execution was created.

updated_at
string<date-time>
required

The ISO 8601 formatted date when this flow execution was updated.

journey_id
string

Journey id

Required string length: 1 - 50
debug
object

Flow execution debug.

started_at
string<date-time>

The ISO 8601 formatted date when this flow execution started.

ended_at
string<date-time>

The ISO 8601 formatted date when this flow execution ended.